using System.Text.Json.Serialization;

namespace Hotline.YbEnterprise.Sdk
{
	public class YbEnterpriseToken 
	{
		/// <summary>
		/// access_token
		/// </summary>
		[JsonPropertyName("access_token")]
		public string AccessToken { get; set; }

		/// <summary>
		/// 
		/// </summary>
		[JsonPropertyName("refresh_token")]
		public string RefreshToken { get; set; }

		/// <summary>
		/// token类型
		/// </summary>
		[JsonPropertyName("token_type")]
		public string TokenType { get; set; }

		/// <summary>
		/// token有效期，单位秒
		/// </summary>
		[JsonPropertyName("expires_in")]
		public int ExpiresIn { get; set; }
    }
}
